Get Discount Buy positions(USER_DATA)
API Description
Get Discount Buys positions (USER_DATA)
HTTP Request
GET /sapi/v1/accumulator/product/position/list
Request Weight
1(IP)
Request Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| status | ENUM | NO | PENDING:Products are purchasing, will give results later;PURCHASE_SUCCESS:purchase successfully;SETTLED: Products are finish settling;PURCHASE_FAIL:fail to purchase;REFUNDING:refund ongoing;REFUND_SUCCESS:refund to spot account successfully; SETTLING:Products are settling. If don't fill this field, will response all the position status. |
| pageSize | LONG | YES | Min: 10, Max:100 |
| pageIndex | INT | YES | Default:1 |
| recvWindow | LONG | NO | The value cannot be greater than 60000 |
| timestamp | DATETIME | YES |
Response Example
{
"total": 1,
"list": [
{
"id": "10160533", //positionId
"investAsset": "USDT",
"targetAsset": "BTC",
"depositAmount": "100.12",
"strikePrice": "114111",
"knockoutPrice":"118000",
"duration": 4,
"settleDate": 1708416000000,
"purchaseStatus": "PURCHASE_SUCCESS",
"knockoutApr": "0.3",
"orderId": 7973677530
}
]
}